function chol(LN,varargin)
% fc_amat.benchs.chol    benchmarking of the chol method of an amat object
%   
  assert( fc_tools.utils.is_fcPackage('bench') )
  p = inputParser;
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('kind','upper',@(x) ismember(lower(x),{'lower','upper'}));
  p.parse(varargin{:});
  R=p.Results;
  
  
  setfun=@(varargin) fc_amat.benchs.set_chol(varargin{:});
  sfun=sprintf('@(A) chol(A,''%s'');',R.kind);
  %Lfun={@(A) chol(A,R.kind)};
  Lfun={eval(sfun)};
  comment=['# Benchmarking command: ',sfun,'\n'];
  fc_bench.bench(Lfun,setfun,LN,varargin{:},'comment',comment)
end
